#include <iostream>
#include <stdio.h>
#include <math.h>

using namespace std;

int main(){
	int n,pom;
	int a[10];
	cin>>n;
	for(int i=0;i<n;i++){
		cin>>a[i];
	}
	pom=a[0];
	a[0]=a[1];
	a[1]=pom;
	for(int i=0;i<n;i++){
		cout<<a[i]<<" ";
	}
	
}